Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMInterface

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMCoin
                  |
                  +--com.jxml.quick.model.qdml.QDMInterface

All Implemented Interfaces:
  Cloneable, QDMElement

public class QDMInterface
extends QDMCoin
implements QDMElement

Models an interface element in QDML. An interface element has no tag attribute, since it doesn't define a particular XML element. (Similarly, a Java interface can't be instantiated.) Interfaces provide a means of refering to the family of beans which implement them.

    DTD:

    <!ELEMENT interface (rem*, extends*)

    <!ATTLIST interface
        label CDATA #REQUIRED
        generate CDATA "True"
        ID id #IMPLIED
    >

Field Summary
`ArrayList` | `extendsList` A container for QDMExtends objects, which model extends elements.
`ArrayList` | `propertyList` A container for QDMProperty objects, which model property elements.

Fields inherited from class com.jxml.quick.model.qdml.QDMCoin
`extensions, generate, implementations, label, remList`

Constructor Summary
`QDMInterface()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`Map` | `getAtts()` Returns a table of objects which model attribute item elements.
`String` | `getTag()` Returns the element or attribute tag name..
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMCoin
`addDecendants, derivesFromOther, getConcreteDecendants, getLabel`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extendsList

    public ArrayList extendsList

  A container for QDMExtends objects, which model extends elements. The extends elements are optional and repeating. These extends elements name the other interface coins which this interface coin extends. (An interface element, like a Java interface class, can extend any number of other interfaces.)

### propertyList

    public ArrayList propertyList

  A container for QDMProperty objects, which model property elements. The property elements are optional and repeating. These property elements describe the bean property methods of the Java interface which this interface element describes.

Constructor Detail

### QDMInterface

    public QDMInterface()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QDMCoin`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCoin`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Description copied from class: `QDMCoin`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QDMCoin`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMCoin`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMCoin`

### getAtts

    public Map getAtts()
                throws SAXException

  Description copied from interface: `QDMElement`
  Returns a table of objects which model attribute item elements. Inherited attribute item elements are included.
  Specified by:
    `getAtts` in interface `QDMElement`

### getTag

    public String getTag()

  Returns the element or attribute tag name..
  Specified by:
    `getTag` in interface `QDMElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD